#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deque
version:              0.4.4
visibility:           public
id:                   deque-0.4.4-BT7HIwlcV7SJFmMA3tC9ga
key:                  deque-0.4.4-BT7HIwlcV7SJFmMA3tC9ga
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/deque
synopsis:             Double-ended queues
description:
    Strict and lazy implementations of Double-Ended Queue (aka Dequeue or Deque)
    based on head-tail linked list.

abi:                  c1dd4b7f4eeaea67892535134e60b06d
exposed:              True
exposed-modules:
    Deque.Lazy Deque.Lazy.Reader Deque.Lazy.State Deque.Strict
    Deque.Strict.Reader Deque.Strict.State

hidden-modules:       Deque.Lazy.Defs Deque.Strict.Defs Deque.Prelude
import-dirs:          /usr/lib/ghc-9.0.2/site-local/deque-0.4.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/deque-0.4.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-deque
hs-libraries:         HSdeque-0.4.4-BT7HIwlcV7SJFmMA3tC9ga
depends:
    base-4.15.1.0 deepseq-1.4.5.0
    hashable-1.4.0.0-Ad25gOPS1LBBwFTwmctznB mtl-2.2.2
    strict-list-0.1.6-4OKrqrwDtFY8jVD5LpqX9c

haddock-interfaces:   /usr/share/doc/haskell-deque/html/deque.haddock
haddock-html:         /usr/share/doc/haskell-deque/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

